//
// HistogramView
//
// This is an Objective-C class that is a view that plots a histogram.
//
// History:
//
// 	1992 MAY 12 EDT 17:25:	GNP	Genesis.
//
// Copyright (C) 1992 Contemporary Design Studios.
//


#import <appkit/View.h>
#import <appkit/Application.h>
#import <appkit/Control.h>


@interface HistogramView:View


{
    id			startButton;
    id			stopButton;
    
    id  		randGen;
    NXModalSession	mySession;
    
    BOOL		scaleInval;
    int			scale;
    
    double		binsLeft;
    double		binsBottom;
    double		binWidth;
    double		binHeightIncrement;
    
    int			numBins;
    BOOL		*binFlags;
    int			*bins;
    NXRect		*binRects;
}


- initFrame:(const NXRect *)frameRect;
- initFrame:(const NXRect *)frameRect scale:(int)aScale numBins:(int)aNumBins;
- free;

- allocBins;

- start:sender;
- stop:sender;
- clear:sender;

- rescaleTo:(int)newScale;

- addPoint:(double)x;
- add:(int)num points:(double *)array;

- takeScaleFrom:aControl;
- takeNumBarsFrom:aControl;

- drawSelf:(const NXRect *)rects :(int)rectCount;


@end


//
// End of file.
//